"""Settings file"""
import numpy as np

# Shared memory name (ion images)
SHM_NAME = 'shm://zwoioncameraone'

# Semaphore name
SEM_NAME = '/zwocamdataone'

# Influxdb info
DB_USER = 'barium'
DB_PWD = 'BARIUM'
DB_HOST = '10.241.215.1'
DB_PORT = 8086
DB_DATASET = 'barium'

# Minimum pixel distance between ions
ION_DIST = 15

# Relative intensity threshold to differentiate good/bad isotopes (w.r.t. to max intensity)
INT_THS = 0.65

# Number of iterations before restarting the position's memory
NUM_ITERATIONS = 5

# Shape of image
SHAPE = (960, 1280, 3)

# Type of image
TYPE = np.uint16

# Blob detection size
BLOB_SIZE = 9

# Region of interest of the image
REGION = np.array([[8, 466], [1260, 638]])

# Radius of circle that captures the intensity of each ion
RADIUS = 15

# Area threshold of biggest contour in image (for ion cloud detection)
AREA_THS = 10e3

# Transparency of the circle plotted in the html
ALPHA = 0.15
